Search
K
[dev] 🇩🇪 Listings Management Germany

Listing

CRUD operations about listings.

Create a new listing

This endpoint allows you to create a new classified to be published on Immowelts portals. Depending on the parameters sent along with the body payload, the classified can be created but not published. This endpoint returns synchronously a response informing if the body payload format is valid or not. In the case of a valid format, the endpoint will return a 202 Accepted HTTP status code with URL links to related resources. In the case of invalid format, the endpoint will return a 400 Invalid format HTTP status code with the details of the rejection’s reasons

post

Body

application/json; charset=utf-8

apiRequest

Request wrapper for Data

* Additional properties are NOT allowed.
dataobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
metadataobjectrequired

metadatas associated to listing in Aviv system

* Additional properties are NOT allowed.
Show Child Parameters
mediaarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
contactobject
* Additional properties are NOT allowed.
Show Child Parameters

Response

application/json; charset=utf-8

Created

requestIdstring

The unique identifier for this create request

Example:0196106c-409b-7fg4-a317-db7393a36b77

listingIdstring

The Immowelt ID for the listing

Example:a1b2c3d4-e5f6-4789-b0a1-c2d3e4f5a6b7

externalListingIdstring

Your own offererEstateId that was used when creating the listing

Example:offererEstateId123

warningsarray
Show Child Parameters
post/listings

Body

{ "data": { "estateType": "HOUSE", "distributionType": "BUY", "location": { "postalcode": "22455", "city": "Hamburg", "street": "Hauptstrasse", "houseNumber": "10", "country": "DEU", "geometry": { "type": "Point", "coordinates": [ 13.405, 52.52 ] } }, "prices": {} }, "metadata": { "source": { "offererMarketingKey": "HH-AH61a-WE15a-1", "offererEstateId": "c1b1160a-2502-4dff-8037-3888c9845981" } } }
 
application/json; charset=utf-8

Retrieves all listings for a customer.

Retrieve all listings for a customer. To fetch nextPage, use the GET /listings?nextPageToken={token} in this endpoint. To retrieve a specific listing, use the GET /listings/{externalListingId} endpoint.

get

Query Parameters

nextPageTokenstring

The token to retrieve the next page of results. This token is returned in the response of this endpoint when the number of listings exceeds the page size. To retrieve the first page of results, do not include this parameter in the request.

Response

application/json; charset=utf-8

Successful retrieval of listings.

externalListingIdsarray[string]required

The external listing IDs returned in this page of results.

nextPageTokenstring | null

Token to retrieve the next page of results. Omitted or null if there are no more pages.

get/listings
 
application/json; charset=utf-8

Retrieve an existing listing

Retrieves a listing

get

Path Parameters

externalListingIdstringrequired

The Unique Identifier of the listing. Can be:

  • Your own offererEstateId that was used when creating a listing

Example:2592IWF02EC6

Response

application/json; charset=utf-8

Accepted

listingResponse

Listing

* Additional properties are NOT allowed.
listingobjectrequired
Show Child Parameters
get/listings/{externalListingId}
 
application/json; charset=utf-8

Update an existing listing

Updates a listing

put

Path Parameters

externalListingIdstringrequired

The Unique Identifier of the listing. Can be:

  • Your own offererEstateId that was used when creating a listing

Example:2592IWF02EC6

Body

application/json; charset=utf-8

apiRequest

Request wrapper for Data

* Additional properties are NOT allowed.
dataobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
metadataobjectrequired

metadatas associated to listing in Aviv system

* Additional properties are NOT allowed.
Show Child Parameters
mediaarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
contactobject
* Additional properties are NOT allowed.
Show Child Parameters

Response

application/json; charset=utf-8

Accepted

requestIdstring

The unique identifier for this update request

Example:0196106c-409b-7fg4-a317-db7393a36b77

listingIdstring

The Immowelt ID for the listing

Example:a1b2c3d4-e5f6-4789-b0a1-c2d3e4f5a6b7

externalListingIdstring

Your own offererEstateId that was used when creating the listing

Example:offererEstateId123

warningsarray
Show Child Parameters
put/listings/{externalListingId}

Body

{ "data": { "estateType": "HOUSE", "distributionType": "BUY", "location": { "postalcode": "22455", "city": "Hamburg", "street": "Hauptstrasse", "houseNumber": "10", "country": "DEU", "geometry": { "type": "Point", "coordinates": [ 13.405, 52.52 ] } }, "prices": {} }, "metadata": { "source": { "offererMarketingKey": "HH-AH61a-WE15a-1", "offererEstateId": "c1b1160a-2502-4dff-8037-3888c9845981" } } }
 
application/json; charset=utf-8